data:extend(
{
	{
    type = "recipe",
    name = "charcoal",
	category = "smelting",
    energy_required = 3.5,
    ingredients = {{"raw-wood", 1}},
    result = "coke",
    result_count = 2,
	order = "c"
	},
	{
    type = "recipe",
    name = "coke",
	category = "smelting",
    energy_required = 3.5,
    ingredients = {{"coal", 1}},
    result = "coke",
    result_count = 4,
	order = "c"
	},
	
	{
    type = "recipe",
    name = "sponge-iron",
	category = "refining",
    energy_required = 3.0,
    ingredients = 
		{
		{"iron-ore", 3},
		{"coke", 2}
		},
    result = "sponge-iron",
    result_count = 6,
	order = "d-a"
	},
	
	{
    type = "recipe",
    name = "basic-iron",
	category = "crafting",
	energy_required = 2.5,
	icon = "__base__/graphics/icons/iron-ore.png",
    ingredients = {{"sponge-iron", 2}},
    results = 
		{
		{type = "item", name = "iron-plate", amount = 1},
		{type = "item", name = "slag", amount = 1}
		},
	icon = "__base__/graphics/icons/iron-plate.png",
    subgroup = "fluid-recipes",
    order = "a[oil-processing]-a[basic-oil-processing]"
	},
	
	{
    type = "recipe",
    name = "pig-iron",
	category = "advanced-refining",
    energy_required = 10,
	enabled = true,
    ingredients = 
	{
		{"iron-ore", 3},
		{"flux", 1},
		{"coke", 1}
	},
    result = "pig-iron",
    result_count = 6,
	order = "d-b"
	},
	{
    type = "recipe",
    name = "advanced-iron",
	category = "advanced-refining",
    energy_required = 11,
	enabled = true,
    ingredients = 
	{
		{"pig-iron", 6},
		{"flux", 1}
	},
    results = 
		{
		{type = "item", name = "iron-plate", amount = 6},
		{type = "item", name = "slag", amount = 2}
		},
	icon = "__base__/graphics/icons/iron-plate.png",
    subgroup = "fluid-recipes",
    order = "c-a"
	},	
	
	{
    type = "recipe",
    name = "basic-steel",
	category = "advanced-refining",
    energy_required = 17.5,
	enabled = true,
    ingredients = 
	{
		{"iron-plate", 5},
		{"coke", 1}
	},
    result = "steel-plate",
	result_count = 1,
	order = "f",
	},
	
	{
    type = "recipe",
    name = "advanced-steel",
	category = "advanced-refining",
    energy_required = 17.5,
	 enabled = true,
    ingredients = 
	{
		{"pig-iron", 4},
		{"flux", 1}
	},
    results = 
		{
		{type = "item", name = "steel-plate", amount = 1},
		{type = "item", name = "slag", amount = 1}
		},
	icon = "__base__/graphics/icons/steel-plate.png",
	subgroup = "fluid-recipes",
    order = "c-b"
	},	
	
	{
    type = "recipe",
    name = "cyclone",
	category = "advanced-refining",
    energy_required = 17.5,
	 enabled = true,
    ingredients = 
	{
		{"iron-ore", 2},
		{"coal", 2}
	},
    results = 
		{
		{type = "item", name = "steel-plate", amount = 1},
		{type = "item", name = "slag", amount = 1}
		},
	icon = "__base__/graphics/icons/steel-plate.png",
    subgroup = "fluid-recipes",
    order = "d[oil-processing]-a[basic-oil-processing]"
	},
	
	{
    type = "recipe",
    name = "bloomery",
	category = "crafting",
    energy_required = 0.5,
    ingredients = {{"stone-furnace", 1}},
    result = "bloomery",
    result_count = 1
	},
	
	{
    type = "recipe",
    name = "blast-furnace",
	category = "crafting",
	energy_required = 0.5,
	 enabled = true,
    ingredients = {{"steel-furnace", 1}},
    result = "blast-furnace",
 	},
	
	{
    type = "recipe",
    name = "arc-furnace",
	category = "crafting",
	energy_required = 0.5,
	 enabled = true,
    ingredients = {{"electric-furnace", 1}},
    result = "arc-furnace",
	},
	
	{
    type = "recipe",
    name = "make-lime",
	category = "smelting",
	energy_required = 3.5,
    ingredients = {{"stone", 1}},
    result = "flux",
	order = "e",
	},
	{
    type = "recipe",
    name = "concrete",
    energy_required = 10,
    enabled = true,
    category = "crafting-with-fluid",
    ingredients =
    {
      {"stone", 8},
      {"slag", 2},
      {type="fluid", name="water", amount=1}
    },
    result= "concrete",
    result_count = 10
  }
	
}
)